namespace Assets.Scripts.Collision
{
    /// <summary>
    /// 
    /// </summary>
    static class CollisionPreset
    {
        public static CollisionType[] Player { get; private set; } = {
            new CollisionType(ObjectType.player,true),
            new CollisionType(ObjectType.normalobject,true),
            new CollisionType(ObjectType.interactive,false),
            new CollisionType(ObjectType.wall,true)
        };

        public static CollisionType[] NormalObject { get; private set; } = {
            new CollisionType(ObjectType.player,true),
            new CollisionType(ObjectType.normalobject,true),
            new CollisionType(ObjectType.interactive,true),
            new CollisionType(ObjectType.wall,true)
        };

        public static CollisionType[] Interactive { get; private set; } = {
            new CollisionType(ObjectType.player,false),
            new CollisionType(ObjectType.normalobject,true),
            new CollisionType(ObjectType.interactive,true),
            new CollisionType(ObjectType.wall,true)
        };

        public static CollisionType[] Wall { get; private set; } = {
            new CollisionType(ObjectType.player,true),
            new CollisionType(ObjectType.normalobject,true),
            new CollisionType(ObjectType.interactive,true),
            new CollisionType(ObjectType.wall,false)
        };

    }
    /// <summary>
    /// etc는 직접 어떻게 정할지 정해줘야함.
    /// </summary>
    public enum PresetType
    {
        player,
        normalobject,
        interactive,
        wall,
        etc
    }
}
